Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec

Enclosing class:
  ServerHttpSecurity.OAuth2ResourceServerSpec

public final class ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec extends Object
Configures Opaque Token Resource Server support

Since:
  5.2

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity.OAuth2ResourceServerSpec`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec`
`authenticationConverter(org.springframework.security.oauth2.server.resource.introspection.ReactiveOpaqueTokenAuthenticationConverter authenticationConverter)`
`protected void`
`configure(ServerHttpSecurity http)`
`protected org.springframework.security.oauth2.server.resource.introspection.ReactiveOpaqueTokenAuthenticationConverter`
`getAuthenticationConverter()`
`protected org.springframework.security.authentication.ReactiveAuthenticationManager`
`getAuthenticationManager()`
`protected org.springframework.security.oauth2.server.resource.introspection.ReactiveOpaqueTokenIntrospector`
`getIntrospector()`
`ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec`
`introspectionClientCredentials(String clientId, String clientSecret)`
Configures the credentials for Introspection endpoint
`ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec`
`introspectionUri(String introspectionUri)`
Configures the URI of the Introspection endpoint
`ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec`
`introspector(org.springframework.security.oauth2.server.resource.introspection.ReactiveOpaqueTokenIntrospector introspector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### introspectionUri

public ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec introspectionUri(String introspectionUri)
Configures the URI of the Introspection endpoint

Parameters:
  `introspectionUri` - The URI of the Introspection endpoint
Returns:
  the `OpaqueTokenSpec` for additional configuration

### introspectionClientCredentials

public ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec introspectionClientCredentials(String clientId, String clientSecret)
Configures the credentials for Introspection endpoint

Parameters:
  `clientId` - The clientId part of the credentials
  `clientSecret` - The clientSecret part of the credentials
Returns:
  the `OpaqueTokenSpec` for additional configuration

### introspector

public ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec introspector(org.springframework.security.oauth2.server.resource.introspection.ReactiveOpaqueTokenIntrospector introspector)

### authenticationConverter

public ServerHttpSecurity.OAuth2ResourceServerSpec.OpaqueTokenSpec authenticationConverter(org.springframework.security.oauth2.server.resource.introspection.ReactiveOpaqueTokenAuthenticationConverter authenticationConverter)

### and

@Deprecated(since="6.1", forRemoval=true) public ServerHttpSecurity.OAuth2ResourceServerSpec and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `ServerHttpSecurity.OAuth2ResourceServerSpec.opaqueToken(Customizer)` instead
Allows method chaining to continue configuring the `ServerHttpSecurity`

Returns:
  the `ServerHttpSecurity` to continue configuring

### getAuthenticationManager

protected org.springframework.security.authentication.ReactiveAuthenticationManager getAuthenticationManager()

### getIntrospector

protected org.springframework.security.oauth2.server.resource.introspection.ReactiveOpaqueTokenIntrospector getIntrospector()

### getAuthenticationConverter

protected org.springframework.security.oauth2.server.resource.introspection.ReactiveOpaqueTokenAuthenticationConverter getAuthenticationConverter()

### configure

protected void configure(ServerHttpSecurity http)